// $Id$
/*
 * This script adds filter to User History listings at /user/[uid]/edit/user_history 
 */
$(function() {
	// build list of available fields to filter
	var available = [];
	$("#user_history_list_content_wrapper ul.user_history").each(function(i, o) {
		var fields = $(o).attr('title').split(",");
		for (var k = 0; k<fields.length; k++) {
			var add=true;
			for (var j = 0; j < available.length; j++) {
				if (fields[k] == available[j]) {
					add = false;
					j = available.length + 1;
				}
			}
			if (add) {
				available.push(fields[k]);
			}
		}
	});

  var markup = '';
	for (var i = 0; i < available.length; i++) {
		markup += "<label><input type='checkbox' onclick='user_history_toggle(\"" + available[i] + "\");' checked='checked' /> "
			+ available[i].substring(0, 1).toUpperCase() + available[i].substring(1) + "&nbsp;&nbsp;&nbsp;&nbsp;</label>";
	}
	$("#user_history_filters").html(markup);
});

function user_history_toggle(field) {
	$("#user_history_list_content_wrapper ul.user_history li." + field).each(function(i, o) {
		$(this).toggle();
	});
}